/*---------------------------------------------------------------------------- 
 * $Id:$
 * Project  : The making of "MIB-tripper". 
 *		A MIB-browser implemented using the UT-SNMP package.
 * Filename : tripMisc.c
 * Date     : october 1994
 * Purpose  : This file and its headerfile define functions and constants used
 *		by various tripper-files.
 * Author   : Erwin Bonsma
 *----------------------------------------------------------------------------
 */
 
#include <tripMisc.h>


/*----------------------------------------------------------------------------
 * Function   :	tmCopyOcts
 * Arguments  :	AsnOcts		*out		(out)
 *		AsnOcts		*in		(in)
 * Returns    :	
 * Purpose    :	Function copies contents of a "AsnOcts" variable to another 
 *		variable of the same type.
 * Remarks    :	Function allocates no memory for variable "out". 
 *----------------------------------------------------------------------------
 */
void
tmCopyOcts(AsnOcts *out, AsnOcts *in)
{ 
  memcpy(out->octs,in->octs,out->octetLen=in->octetLen);
}
